4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.InstallEggInfo

distutils.command.install_egg_info

    Implements the Distutils 'install_egg_info' command, for installing
    a package's PKG-INFO metadata.

Classes: InstallEggInfo |  |  |  | Functions: safe_name, safe_version, to_filename

## Classes

class InstallEggInfo(distutils.cmd.Command)
  Install an .egg-info file for the package

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'install_egg_info'
  description = "Install package's PKG-INFO metadata as an .egg-info file"
  user_options = [('install-dir=', 'd', 'directory to install to')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Functions

safe_name(name)
  Convert an arbitrary string to a standard distribution name

      Any runs of non-alphanumeric/. characters are replaced with a single '-'.

safe_version(version)
  Convert an arbitrary string to a standard version string

      Spaces become dots, and all other non-alphanumeric characters become
      dashes, with runs of multiple dashes condensed to a single dash.

to_filename(name)
  Convert a project or version name to its filename-escaped form

      Any '-' characters are currently replaced with '_'.